===
XY
===

XY commands are used to plot X-Y data and store its display attributes and to write X-Y data to an ASCII file.


Create XY Objects in Session
-----------------------------

.. autoclass:: abaqus.XY.XYSession.XYSession
    :members:

    .. autoclasstoc::


Object features
---------------

XY features for Session
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.XY.XYSessionBase.XYSessionBase
    :members:

    .. autoclasstoc::

Area
~~~~

.. autoclass:: abaqus.XY.Area.Area
    :members:

    .. autoclasstoc::

AreaStyle
~~~~~~~~~

.. autoclass:: abaqus.XY.AreaStyle.AreaStyle
    :members:

    .. autoclasstoc::

Axis
~~~~

.. autoclass:: abaqus.XY.Axis.Axis
    :members:

    .. autoclasstoc::

AxisArray
~~~~~~~~~

.. autoclass:: abaqus.XY.AxisArray.AxisArray
    :members:

    .. autoclasstoc::

AxisData
~~~~~~~~

.. autoclass:: abaqus.XY.AxisData.AxisData
    :members:

    .. autoclasstoc::

Chart
~~~~~

.. autoclass:: abaqus.XY.Chart.Chart
    :members:

    .. autoclasstoc::

DefaultChartOptions
~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.XY.DefaultChartOptions.DefaultChartOptions
    :members:

    .. autoclasstoc::

DefaultPlot
~~~~~~~~~~~

.. autoclass:: abaqus.XY.DefaultPlot.DefaultPlot
    :members:

    .. autoclasstoc::

Legend
~~~~~~

.. autoclass:: abaqus.XY.Legend.Legend
    :members:

    .. autoclasstoc::

LineStyle
~~~~~~~~~

.. autoclass:: abaqus.XY.LineStyle.LineStyle
    :members:

    .. autoclasstoc::

QuantityType
~~~~~~~~~~~~

.. autoclass:: abaqus.XY.QuantityType.QuantityType
    :members:

    .. autoclasstoc::

SymbolStyle
~~~~~~~~~~~

.. autoclass:: abaqus.XY.SymbolStyle.SymbolStyle
    :members:

    .. autoclasstoc::

TextStyle
~~~~~~~~~

.. autoclass:: abaqus.XY.TextStyle.TextStyle
    :members:

    .. autoclasstoc::

Title
~~~~~

.. autoclass:: abaqus.XY.Title.Title
    :members:

    .. autoclasstoc::

writeXYReport
~~~~~~~~~~~~~

.. automodule:: abaqus.XY.writeXYReport
    :members:

XYCurve
~~~~~~~

.. autoclass:: abaqus.XY.XYCurve.XYCurve
    :members:

    .. autoclasstoc::

XYCurveArray
~~~~~~~~~~~~

.. autoclass:: abaqus.XY.XYCurveArray.XYCurveArray
    :members:

    .. autoclasstoc::

XYData
~~~~~~

.. autoclass:: abaqus.XY.XYData.XYData
    :members:

    .. autoclasstoc::

XYPlot
~~~~~~

.. autoclass:: abaqus.XY.XYPlot.XYPlot
    :members:

    .. autoclasstoc::

.. autoclass:: abaqus.XY.XYPlotBase.XYPlotBase
    :members:

    .. autoclasstoc::

XYReportOptions
~~~~~~~~~~~~~~~

.. autoclass:: abaqus.XY.XYReportOptions.XYReportOptions
    :members:

    .. autoclasstoc::

